| Version: 3.0.4

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Attributes | List of all members
wxAuiTabContainerButton Class Reference
Class List by Category » Window Docking (wxAUI)

`#include <wx/aui/auibook.h>`

## Detailed Description

A simple class which holds information about wxAuiNotebook tab buttons and their state.

##

Library: wxAui
Category: Window Docking (wxAUI)

## Public Attributes

int | id
| button's id More...
int | curState
| current state (normal, hover, pressed, etc.) More...
int | location
| buttons location (wxLEFT, wxRIGHT, or wxCENTER) More...
wxBitmap | bitmap
| button's hover bitmap More...
wxBitmap | disBitmap
| button's disabled bitmap More...
wxRect | rect
| button's hit rectangle More...

## Member Data Documentation

wxBitmap wxAuiTabContainerButton::bitmap

button's hover bitmap

int wxAuiTabContainerButton::curState

current state (normal, hover, pressed, etc.)

wxBitmap wxAuiTabContainerButton::disBitmap

button's disabled bitmap

int wxAuiTabContainerButton::id

button's id

int wxAuiTabContainerButton::location

buttons location (wxLEFT, wxRIGHT, or wxCENTER)

wxRect wxAuiTabContainerButton::rect

button's hit rectangle